Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::pdf::Response Class Reference

Inherits Object.

## Public Types
enum | ResponseType { e_TypeNone = 0, e_TypeCRL = 1, e_TypeOCSP = 2 }
| Enumeration for response type. More...

## Public Member Functions
| Response ()
| Constructor.
| Response (const Response &other)
| Constructor, with another response object. More...
| Response (ResponseType type, const String &response_data)
| Constructor, with parameters. More...
| ~Response ()
| Destructor.
bool | operator!= (const Response &other) const
| Not equal operator. More...
Response & | operator= (const Response &other)
| Assign operator. More...
bool | operator== (const Response &other) const
| Equal operator. More...
void | Set (ResponseType type, const String &response_data)
| Set value. More...

## Public Attributes
String | response_data
| Response content.
ResponseType | type
| Response type. Please refer to values starting from Response::e_TypeNone and this should be one of these values.

## Detailed Description

This class represents a response for a certificate.

## Member Enumeration Documentation

## ◆ ResponseType

enum foxit::pdf::Response::ResponseType

Enumeration for response type.

Values of this enumeration should be used alone.

Enumerator
e_TypeNone | No response.
e_TypeCRL | CRL response.
e_TypeOCSP | OCSP response.

## Constructor & Destructor Documentation

## ◆ Response() [1/2]

foxit::pdf::Response::Response | ( | ResponseType | type,
|  | const String & | response_data
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | type | Response type. Please refer to values starting from Response::e_TypeNone and this should be one of these values.
  [in] | response_data | Response content.

## ◆ Response() [2/2]

foxit::pdf::Response::Response | ( | const Response & | other | ) |
| inline

Constructor, with another response object.

Parameters

  [in] | other | Another response object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::Response::operator!= | ( | const Response & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another response object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

Response& foxit::pdf::Response::operator= | ( | const Response & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another response object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::Response::operator== | ( | const Response & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another response object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::Response::Set | ( | ResponseType | type,
|  | const String & | response_data
| ) |  |
| inline

Set value.

Parameters

  [in] | type | Response type. Please refer to values starting from Response::e_TypeNone and this should be one of these values.
  [in] | response_data | Response content.

Returns
  None.